Get Platform Hub accounts
GET /api
Query Parameters
accountTypearray of string
The type of accounts to return.namestring
Filter by partial name match.skipinteger
Number of records to skip.takeinteger
Number of records to take.
Response
200 — Success
ItemTypestringItemsarray of objectDescriptionstringDetailsobjectIdstringNamestring
Minimum length 1.Slugstring
Minimum length 1.
ItemsPerPageintegerLastPageNumberintegerNumberOfPagesintegerTotalResultsinteger
Example Response
{
"ItemType": "string",
"Items": [
{
"Description": "string",
"Details": {
"AccountType": "string"
},
"Id": "Accounts-1",
"Name": "string",
"Slug": "string"
}
],
"ItemsPerPage": 0,
"LastPageNumber": 0,
"NumberOfPages": 0,
"TotalResults": 0
}Create a new Platform Hub account
POST /api
Request Body
DescriptionstringDetailsobject (required)AccountTypestring
Namestring (required)
Minimum length 1.Slugstring
Response
201 — Created
Idstring
Example Request
{
"Description": "string",
"Details": {
"AccountType": "string"
},
"Name": "string",
"Slug": "string"
}Example Response
{
"Id": "Accounts-1"
}Get a specific Platform Hub account
GET /api
Path Parameters
idstring (required)
Id of the account to get.
Response
200 — An Account within the Platform Hub
DescriptionstringDetailsobjectAccountTypestring
IdstringNamestring
Minimum length 1.Slugstring
Minimum length 1.
Example Response
{
"Description": "string",
"Details": {
"AccountType": "string"
},
"Id": "Accounts-1",
"Name": "string",
"Slug": "string"
}Modify an existing Platform Hub account
PUT /api
Path Parameters
idstring (required)
Request Body
DescriptionstringDetailsobject (required)AccountTypestring
Idstring (required)Namestring (required)
Minimum length 1.Slugstring
Response
200 — Indicates that the Platform Hub account was successfully modified.
Example Request
{
"Description": "string",
"Details": {
"AccountType": "string"
},
"Id": "Accounts-1",
"Name": "string",
"Slug": "string"
}Example Response
{}Delete an existing Platform Hub account
DELETE /api
Path Parameters
idstring (required)
Id of the account to delete.
Response
200 — Confirmation that the Platform Hub account has been deleted
Example Response
{}Get Platform Hub certificates
GET /api
Query Parameters
archivedboolean
If true, returns only archived certificates. Otherwise, returns only non-archived certificates.firstResultstring
Certificate ID which if specified, adds the certificate with matching ID to the result if it is not already included.idsstring
Comma delimited list of certificate IDs used to filter the result.orderBystring
If the value is ‘recent’ (case-insensitive), the result is sorted by Created instead of NotAfter.partialNamestring
Alternative parameter to Search; filters certificates by Name, Subject, or Thumbprint.searchstring
Filters certificates by Name, Subject, or Thumbprint.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 15. Minimum0.
Response
200 — The requested Platform Hub certificates.
ItemTypestringItemsarray of objectArchivedstring
Formatdate-time.CertificateChainarray of objectCertificateDatasensitive valueCertificateDataFormatenum
Allowed values:Pkcs12,Der,Pem,Unknown.HasPrivateKeybooleanIdstring
Gets or sets a unique identifier for this resource.IsExpiredbooleanIssuerCommonNamestringIssuerDistinguishedNamestringIssuerOrganizationstringLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.NotesstringPasswordsensitive valueReplacedBystringSelfSignedbooleanSerialNumberstringSignatureAlgorithmNamestringSlugstring
The slug of the certificate.SubjectAlternativeNamesarray of stringSubjectCommonNamestring
The certificate subject’s common name (CN). When creating a self-signed certificate this becomes the generated certificate’s CN, and at least one of SubjectCommonName or SubjectOrganization must be supplied.SubjectDistinguishedNamestringSubjectOrganizationstring
The certificate subject’s organization (O). When creating a self-signed certificate, at least one of SubjectCommonName or SubjectOrganization must be supplied.ThumbprintstringVersioninteger
ItemsPerPageintegerLastPageNumberintegerNumberOfPagesintegerTotalResultsinteger
Example Response
{
"ItemType": "string",
"Items": [
{
"Archived": "2020-01-01T00:00:00.000Z",
"CertificateChain": [
{}
],
"CertificateData": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"CertificateDataFormat": "Pkcs12",
"HasPrivateKey": true,
"Id": "string",
"IsExpired": true,
"IssuerCommonName": "string",
"IssuerDistinguishedName": "string",
"IssuerOrganization": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"Notes": "string",
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"ReplacedBy": "string",
"SelfSigned": true,
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"Slug": "string",
"SubjectAlternativeNames": [
"string"
],
"SubjectCommonName": "string",
"SubjectDistinguishedName": "string",
"SubjectOrganization": "string",
"Thumbprint": "string",
"Version": 0
}
],
"ItemsPerPage": 0,
"LastPageNumber": 0,
"NumberOfPages": 0,
"TotalResults": 0
}Create a new Platform Hub certificate
POST /api
Request Body
CertificateDatasensitive value (required)HasValuebooleanHintstringNewValuestring
Namestring (required)
Minimum length 1.Notesstring
Maximum length 10240.Passwordsensitive valueHasValuebooleanHintstringNewValuestring
Slugstring
Response
201 — Created
Archivedstring
Formatdate-time.CertificateChainarray of objectIssuerDistinguishedNamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.SerialNumberstringSignatureAlgorithmNamestringSubjectDistinguishedNamestringThumbprintstringVersioninteger
CertificateDatasensitive valueHasValuebooleanHintstringNewValuestring
CertificateDataFormatenum
Allowed values:Pkcs12,Der,Pem,Unknown.HasPrivateKeybooleanIdstring
Gets or sets a unique identifier for this resource.IsExpiredbooleanIssuerCommonNamestringIssuerDistinguishedNamestringIssuerOrganizationstringLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.NotesstringPasswordsensitive valueHasValuebooleanHintstringNewValuestring
ReplacedBystringSelfSignedbooleanSerialNumberstringSignatureAlgorithmNamestringSlugstring
The slug of the certificate.SubjectAlternativeNamesarray of stringSubjectCommonNamestring
The certificate subject’s common name (CN). When creating a self-signed certificate this becomes the generated certificate’s CN, and at least one of SubjectCommonName or SubjectOrganization must be supplied.SubjectDistinguishedNamestringSubjectOrganizationstring
The certificate subject’s organization (O). When creating a self-signed certificate, at least one of SubjectCommonName or SubjectOrganization must be supplied.ThumbprintstringVersioninteger
Example Request
{
"CertificateData": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Name": "string",
"Notes": "string",
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Slug": "string"
}Example Response
{
"Archived": "2020-01-01T00:00:00.000Z",
"CertificateChain": [
{
"IssuerDistinguishedName": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"SubjectDistinguishedName": "string",
"Thumbprint": "string",
"Version": 0
}
],
"CertificateData": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"CertificateDataFormat": "Pkcs12",
"HasPrivateKey": true,
"Id": "string",
"IsExpired": true,
"IssuerCommonName": "string",
"IssuerDistinguishedName": "string",
"IssuerOrganization": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"Notes": "string",
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"ReplacedBy": "string",
"SelfSigned": true,
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"Slug": "string",
"SubjectAlternativeNames": [
"string"
],
"SubjectCommonName": "string",
"SubjectDistinguishedName": "string",
"SubjectOrganization": "string",
"Thumbprint": "string",
"Version": 0
}Create a self-signed Platform Hub certificate
POST /api
Request Body
Archivedstring
Formatdate-time.CertificateChainarray of objectIssuerDistinguishedNamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.SerialNumberstringSignatureAlgorithmNamestringSubjectDistinguishedNamestringThumbprintstringVersioninteger
CertificateDatasensitive valueHasValuebooleanHintstringNewValuestring
CertificateDataFormatenum
Allowed values:Pkcs12,Der,Pem,Unknown.HasPrivateKeybooleanIdstring
Gets or sets a unique identifier for this resource.IsExpiredbooleanIssuerCommonNamestringIssuerDistinguishedNamestringIssuerOrganizationstringLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.NotesstringPasswordsensitive valueHasValuebooleanHintstringNewValuestring
ReplacedBystringSelfSignedbooleanSelfSignedCertificateCurvestringSerialNumberstringSignatureAlgorithmNamestringSlugstring
The slug of the certificate.SubjectAlternativeNamesarray of stringSubjectCommonNamestring
The certificate subject’s common name (CN). When creating a self-signed certificate this becomes the generated certificate’s CN, and at least one of SubjectCommonName or SubjectOrganization must be supplied.SubjectDistinguishedNamestringSubjectOrganizationstring
The certificate subject’s organization (O). When creating a self-signed certificate, at least one of SubjectCommonName or SubjectOrganization must be supplied.ThumbprintstringVersioninteger
Response
200 — The created self-signed Platform Hub certificate.
Archivedstring
Formatdate-time.CertificateChainarray of objectIssuerDistinguishedNamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.SerialNumberstringSignatureAlgorithmNamestringSubjectDistinguishedNamestringThumbprintstringVersioninteger
CertificateDatasensitive valueHasValuebooleanHintstringNewValuestring
CertificateDataFormatenum
Allowed values:Pkcs12,Der,Pem,Unknown.HasPrivateKeybooleanIdstring
Gets or sets a unique identifier for this resource.IsExpiredbooleanIssuerCommonNamestringIssuerDistinguishedNamestringIssuerOrganizationstringLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.NotesstringPasswordsensitive valueHasValuebooleanHintstringNewValuestring
ReplacedBystringSelfSignedbooleanSerialNumberstringSignatureAlgorithmNamestringSlugstring
The slug of the certificate.SubjectAlternativeNamesarray of stringSubjectCommonNamestring
The certificate subject’s common name (CN). When creating a self-signed certificate this becomes the generated certificate’s CN, and at least one of SubjectCommonName or SubjectOrganization must be supplied.SubjectDistinguishedNamestringSubjectOrganizationstring
The certificate subject’s organization (O). When creating a self-signed certificate, at least one of SubjectCommonName or SubjectOrganization must be supplied.ThumbprintstringVersioninteger
Example Request
{
"Archived": "2020-01-01T00:00:00.000Z",
"CertificateChain": [
{
"IssuerDistinguishedName": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"SubjectDistinguishedName": "string",
"Thumbprint": "string",
"Version": 0
}
],
"CertificateData": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"CertificateDataFormat": "Pkcs12",
"HasPrivateKey": true,
"Id": "string",
"IsExpired": true,
"IssuerCommonName": "string",
"IssuerDistinguishedName": "string",
"IssuerOrganization": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"Notes": "string",
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"ReplacedBy": "string",
"SelfSigned": true,
"SelfSignedCertificateCurve": "string",
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"Slug": "string",
"SubjectAlternativeNames": [
"string"
],
"SubjectCommonName": "string",
"SubjectDistinguishedName": "string",
"SubjectOrganization": "string",
"Thumbprint": "string",
"Version": 0
}Example Response
{
"Archived": "2020-01-01T00:00:00.000Z",
"CertificateChain": [
{
"IssuerDistinguishedName": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"SubjectDistinguishedName": "string",
"Thumbprint": "string",
"Version": 0
}
],
"CertificateData": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"CertificateDataFormat": "Pkcs12",
"HasPrivateKey": true,
"Id": "string",
"IsExpired": true,
"IssuerCommonName": "string",
"IssuerDistinguishedName": "string",
"IssuerOrganization": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"Notes": "string",
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"ReplacedBy": "string",
"SelfSigned": true,
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"Slug": "string",
"SubjectAlternativeNames": [
"string"
],
"SubjectCommonName": "string",
"SubjectDistinguishedName": "string",
"SubjectOrganization": "string",
"Thumbprint": "string",
"Version": 0
}Get a Platform Hub certificate by ID or Thumbprint
GET /api
Path Parameters
idstring (required)
Response
200 — The requested Platform Hub certificate.
Archivedstring
Formatdate-time.CertificateChainarray of objectIssuerDistinguishedNamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.SerialNumberstringSignatureAlgorithmNamestringSubjectDistinguishedNamestringThumbprintstringVersioninteger
CertificateDatasensitive valueHasValuebooleanHintstringNewValuestring
CertificateDataFormatenum
Allowed values:Pkcs12,Der,Pem,Unknown.HasPrivateKeybooleanIdstring
Gets or sets a unique identifier for this resource.IsExpiredbooleanIssuerCommonNamestringIssuerDistinguishedNamestringIssuerOrganizationstringLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.NotesstringPasswordsensitive valueHasValuebooleanHintstringNewValuestring
ReplacedBystringSelfSignedbooleanSerialNumberstringSignatureAlgorithmNamestringSlugstring
The slug of the certificate.SubjectAlternativeNamesarray of stringSubjectCommonNamestring
The certificate subject’s common name (CN). When creating a self-signed certificate this becomes the generated certificate’s CN, and at least one of SubjectCommonName or SubjectOrganization must be supplied.SubjectDistinguishedNamestringSubjectOrganizationstring
The certificate subject’s organization (O). When creating a self-signed certificate, at least one of SubjectCommonName or SubjectOrganization must be supplied.ThumbprintstringVersioninteger
Example Response
{
"Archived": "2020-01-01T00:00:00.000Z",
"CertificateChain": [
{
"IssuerDistinguishedName": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"SubjectDistinguishedName": "string",
"Thumbprint": "string",
"Version": 0
}
],
"CertificateData": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"CertificateDataFormat": "Pkcs12",
"HasPrivateKey": true,
"Id": "string",
"IsExpired": true,
"IssuerCommonName": "string",
"IssuerDistinguishedName": "string",
"IssuerOrganization": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"Notes": "string",
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"ReplacedBy": "string",
"SelfSigned": true,
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"Slug": "string",
"SubjectAlternativeNames": [
"string"
],
"SubjectCommonName": "string",
"SubjectDistinguishedName": "string",
"SubjectOrganization": "string",
"Thumbprint": "string",
"Version": 0
}Modify an existing Platform Hub certificate
PUT /api
Path Parameters
idstring (required)
Request Body
Idstring (required)Namestring (required)
Minimum length 1.NotesstringSlugstring
Response
200 — The modified Platform Hub certificate.
Archivedstring
Formatdate-time.CertificateChainarray of objectIssuerDistinguishedNamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.SerialNumberstringSignatureAlgorithmNamestringSubjectDistinguishedNamestringThumbprintstringVersioninteger
CertificateDatasensitive valueHasValuebooleanHintstringNewValuestring
CertificateDataFormatenum
Allowed values:Pkcs12,Der,Pem,Unknown.HasPrivateKeybooleanIdstring
Gets or sets a unique identifier for this resource.IsExpiredbooleanIssuerCommonNamestringIssuerDistinguishedNamestringIssuerOrganizationstringLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.NotesstringPasswordsensitive valueHasValuebooleanHintstringNewValuestring
ReplacedBystringSelfSignedbooleanSerialNumberstringSignatureAlgorithmNamestringSlugstring
The slug of the certificate.SubjectAlternativeNamesarray of stringSubjectCommonNamestring
The certificate subject’s common name (CN). When creating a self-signed certificate this becomes the generated certificate’s CN, and at least one of SubjectCommonName or SubjectOrganization must be supplied.SubjectDistinguishedNamestringSubjectOrganizationstring
The certificate subject’s organization (O). When creating a self-signed certificate, at least one of SubjectCommonName or SubjectOrganization must be supplied.ThumbprintstringVersioninteger
Example Request
{
"Id": "string",
"Name": "string",
"Notes": "string",
"Slug": "string"
}Example Response
{
"Archived": "2020-01-01T00:00:00.000Z",
"CertificateChain": [
{
"IssuerDistinguishedName": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"SubjectDistinguishedName": "string",
"Thumbprint": "string",
"Version": 0
}
],
"CertificateData": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"CertificateDataFormat": "Pkcs12",
"HasPrivateKey": true,
"Id": "string",
"IsExpired": true,
"IssuerCommonName": "string",
"IssuerDistinguishedName": "string",
"IssuerOrganization": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"Notes": "string",
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"ReplacedBy": "string",
"SelfSigned": true,
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"Slug": "string",
"SubjectAlternativeNames": [
"string"
],
"SubjectCommonName": "string",
"SubjectDistinguishedName": "string",
"SubjectOrganization": "string",
"Thumbprint": "string",
"Version": 0
}Delete an existing archived Platform Hub certificate
DELETE /api
Path Parameters
idstring (required)
Response
200 — Confirmation that the Platform Hub certificate has been deleted.
Example Response
{}Archive an existing Platform Hub certificate
POST /api
Path Parameters
idstring (required)
Response
200 — Confirmation that the Platform Hub certificate has been archived.
Example Response
{}Export the Platform Hub certificate
GET /api
Path Parameters
idstring (required)
Query Parameters
formatenum
Allowed values:Pkcs12,Der,Pem,Unknown.includePrivateKeybooleanpasswordstringpemOptionsenum
Allowed values:PrimaryOnly,PrimaryAndChain,ChainOnly.
Response
200 — Success
Example Response
"string"Replace an existing Platform Hub certificate with another
POST /api
Path Parameters
idstring (required)
Request Body
CertificateDatastring (required)
Minimum length 1.Idstring (required)Passwordstring
Response
200 — Confirmation that the Platform Hub certificate has been replaced.
Archivedstring
Formatdate-time.CertificateChainarray of objectIssuerDistinguishedNamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.SerialNumberstringSignatureAlgorithmNamestringSubjectDistinguishedNamestringThumbprintstringVersioninteger
CertificateDatasensitive valueHasValuebooleanHintstringNewValuestring
CertificateDataFormatenum
Allowed values:Pkcs12,Der,Pem,Unknown.HasPrivateKeybooleanIdstring
Gets or sets a unique identifier for this resource.IsExpiredbooleanIssuerCommonNamestringIssuerDistinguishedNamestringIssuerOrganizationstringLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.NotesstringPasswordsensitive valueHasValuebooleanHintstringNewValuestring
ReplacedBystringSelfSignedbooleanSerialNumberstringSignatureAlgorithmNamestringSlugstring
The slug of the certificate.SubjectAlternativeNamesarray of stringSubjectCommonNamestring
The certificate subject’s common name (CN). When creating a self-signed certificate this becomes the generated certificate’s CN, and at least one of SubjectCommonName or SubjectOrganization must be supplied.SubjectDistinguishedNamestringSubjectOrganizationstring
The certificate subject’s organization (O). When creating a self-signed certificate, at least one of SubjectCommonName or SubjectOrganization must be supplied.ThumbprintstringVersioninteger
Example Request
{
"CertificateData": "string",
"Id": "string",
"Password": "string"
}Example Response
{
"Archived": "2020-01-01T00:00:00.000Z",
"CertificateChain": [
{
"IssuerDistinguishedName": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"SubjectDistinguishedName": "string",
"Thumbprint": "string",
"Version": 0
}
],
"CertificateData": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"CertificateDataFormat": "Pkcs12",
"HasPrivateKey": true,
"Id": "string",
"IsExpired": true,
"IssuerCommonName": "string",
"IssuerDistinguishedName": "string",
"IssuerOrganization": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"Notes": "string",
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"ReplacedBy": "string",
"SelfSigned": true,
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"Slug": "string",
"SubjectAlternativeNames": [
"string"
],
"SubjectCommonName": "string",
"SubjectDistinguishedName": "string",
"SubjectOrganization": "string",
"Thumbprint": "string",
"Version": 0
}Unarchive an existing archived Platform Hub certificate
POST /api
Path Parameters
idstring (required)
Response
200 — Confirmation that the Platform Hub certificate has been unarchived.
Example Response
{}Get usages for a Platform Hub certificate
GET /api
Path Parameters
idstring (required)
Response
200 — The published template versions that use a Platform Hub certificate.
DefaultBranchProcessTemplateUsageCountintegerDefaultBranchProcessTemplateUsagesarray of objectGitRefstring
Minimum length 1.Idstring
Minimum length 1.Namestring
Minimum length 1.Slugstring
Minimum length 1.UsageSourcestring
Minimum length 1.
DefaultBranchProjectTemplateUsageCountintegerDefaultBranchProjectTemplateUsagesarray of objectGitRefstring
Minimum length 1.Idstring
Minimum length 1.Namestring
Minimum length 1.Slugstring
Minimum length 1.UsageSourcestring
Minimum length 1.
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProcessTemplateVersionUsageCountintegerProcessTemplateVersionUsagesarray of objectGitRefstring
Minimum length 1.Idstring
Minimum length 1.Namestring
Minimum length 1.PublishedDatestring
Formatdate-time.Slugstring
Minimum length 1.Versionstring
Minimum length 1.
ProjectTemplateVersionUsageCountintegerProjectTemplateVersionUsagesarray of objectGitRefstring
Minimum length 1.Idstring
Minimum length 1.Namestring
Minimum length 1.PublishedDatestring
Formatdate-time.Slugstring
Minimum length 1.Versionstring
Minimum length 1.
TotalUsageCountinteger
Example Response
{
"DefaultBranchProcessTemplateUsageCount": 0,
"DefaultBranchProcessTemplateUsages": [
{
"GitRef": "string",
"Id": "string",
"Name": "string",
"Slug": "string",
"UsageSource": "string"
}
],
"DefaultBranchProjectTemplateUsageCount": 0,
"DefaultBranchProjectTemplateUsages": [
{
"GitRef": "string",
"Id": "string",
"Name": "string",
"Slug": "string",
"UsageSource": "string"
}
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProcessTemplateVersionUsageCount": 0,
"ProcessTemplateVersionUsages": [
{
"GitRef": "string",
"Id": "string",
"Name": "string",
"PublishedDate": "2020-01-01T00:00:00.000Z",
"Slug": "string",
"Version": "string"
}
],
"ProjectTemplateVersionUsageCount": 0,
"ProjectTemplateVersionUsages": [
{
"GitRef": "string",
"Id": "string",
"Name": "string",
"PublishedDate": "2020-01-01T00:00:00.000Z",
"Slug": "string",
"Version": "string"
}
],
"TotalUsageCount": 0
}Get a list of Platform Hub Feeds
GET /api
Query Parameters
feedTypearray of string
The feed types to be matched, provided as a comma separated list of strings.idsarray of string
The feed ids to be matched, provided as a comma separated list of strings.namestring
The exact name of a feed to be matched.partialNamestring
The partial name of feeds to be matched.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — The requested list of Platform Hub Feeds
ItemTypestringItemsarray of objectFeedTypeenum
Allowed values:None,NuGet,Docker,Maven,OctopusProject,GitHub,Helm,OciRegistry,AwsElasticContainerRegistry,BuiltIn,S3,AzureContainerRegistry,GoogleContainerRegistry,ArtifactoryGeneric,Npm,GcsStorage,PyPi.IdstringLastModifiedBystringLastModifiedOnstring
Formatdate-time.Namestring
Minimum length 1.PackageAcquisitionLocationOptionsarray of enum
Allowed values:Server,ExecutionTarget,NotAcquired.Slugstring
Minimum length 1.
ItemsPerPageintegerLastPageNumberintegerNumberOfPagesintegerTotalResultsinteger
Example Response
{
"ItemType": "string",
"Items": [
{
"FeedType": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Name": "string",
"PackageAcquisitionLocationOptions": [
"Server"
],
"Slug": "string"
}
],
"ItemsPerPage": 0,
"LastPageNumber": 0,
"NumberOfPages": 0,
"TotalResults": 0
}Create a new Platform Hub Feed
POST /api
Request Body
FeedTypeenum (required)
The type of the feed.
Allowed values:None,NuGet,Docker,Maven,OctopusProject,GitHub,Helm,OciRegistry,AwsElasticContainerRegistry,BuiltIn,S3,AzureContainerRegistry,GoogleContainerRegistry,ArtifactoryGeneric,Npm,GcsStorage,PyPi.Namestring (required)
The name of the feed. Maximum length 44.PackageAcquisitionLocationOptionsarray of enum
The feed’s package acquisition location options.
Allowed values:Server,ExecutionTarget,NotAcquired.Slugstring
The slug of the feed.
Response
201 — Created
FeedTypeenum
Allowed values:None,NuGet,Docker,Maven,OctopusProject,GitHub,Helm,OciRegistry,AwsElasticContainerRegistry,BuiltIn,S3,AzureContainerRegistry,GoogleContainerRegistry,ArtifactoryGeneric,Npm,GcsStorage,PyPi.IdstringLastModifiedBystringLastModifiedOnstring
Formatdate-time.Namestring
Minimum length 1.PackageAcquisitionLocationOptionsarray of enum
Allowed values:Server,ExecutionTarget,NotAcquired.Slugstring
Minimum length 1.
Example Request
{
"FeedType": "None",
"Name": "string",
"PackageAcquisitionLocationOptions": [
"Server"
],
"Slug": "string"
}Example Response
{
"FeedType": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Name": "string",
"PackageAcquisitionLocationOptions": [
"Server"
],
"Slug": "string"
}Get a Platform Hub Feed by its id
GET /api
Path Parameters
idstring (required)
The id of the Platform Hub Feed to get.
Response
200 — A Feed within the Platform Hub
FeedTypeenum
Allowed values:None,NuGet,Docker,Maven,OctopusProject,GitHub,Helm,OciRegistry,AwsElasticContainerRegistry,BuiltIn,S3,AzureContainerRegistry,GoogleContainerRegistry,ArtifactoryGeneric,Npm,GcsStorage,PyPi.IdstringLastModifiedBystringLastModifiedOnstring
Formatdate-time.Namestring
Minimum length 1.PackageAcquisitionLocationOptionsarray of enum
Allowed values:Server,ExecutionTarget,NotAcquired.Slugstring
Minimum length 1.
Example Response
{
"FeedType": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Name": "string",
"PackageAcquisitionLocationOptions": [
"Server"
],
"Slug": "string"
}Modify a Platform Hub Feed
PUT /api
Path Parameters
idstring (required)
The id of the feed.
Request Body
FeedTypeenum (required)
The type of the feed.
Allowed values:None,NuGet,Docker,Maven,OctopusProject,GitHub,Helm,OciRegistry,AwsElasticContainerRegistry,BuiltIn,S3,AzureContainerRegistry,GoogleContainerRegistry,ArtifactoryGeneric,Npm,GcsStorage,PyPi.Idstring (required)
The id of the feed.Namestring (required)
The name of the feed. Maximum length 44.PackageAcquisitionLocationOptionsarray of enum
The feed’s package acquisition location options.
Allowed values:Server,ExecutionTarget,NotAcquired.Slugstring
The slug of the feed.
Response
200 — The response returned from the request to modify a platform hub feed.
FeedTypeenum
Allowed values:None,NuGet,Docker,Maven,OctopusProject,GitHub,Helm,OciRegistry,AwsElasticContainerRegistry,BuiltIn,S3,AzureContainerRegistry,GoogleContainerRegistry,ArtifactoryGeneric,Npm,GcsStorage,PyPi.IdstringLastModifiedBystringLastModifiedOnstring
Formatdate-time.Namestring
Minimum length 1.PackageAcquisitionLocationOptionsarray of enum
Allowed values:Server,ExecutionTarget,NotAcquired.Slugstring
Minimum length 1.
Example Request
{
"FeedType": "None",
"Id": "string",
"Name": "string",
"PackageAcquisitionLocationOptions": [
"Server"
],
"Slug": "string"
}Example Response
{
"FeedType": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Name": "string",
"PackageAcquisitionLocationOptions": [
"Server"
],
"Slug": "string"
}Delete an existing Platform Hub Feed
DELETE /api
Path Parameters
idstring (required)
The id of the Platform Hub Feed to delete.
Response
200 — Confirmation that the Platform Hub feed has been deleted
Example Response
{}Search the specified platform hub feed for packages based on the provided search term
GET /api
Path Parameters
idstring (required)
The id of the feed resource.
Query Parameters
packageTypestring
The package type to filter results by. Used by feeds that can contain multiple package types. Valid values are ContainerImage and HelmChart.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 20. Minimum0.termstring
The term to search for.
Response
200 — Returns a paginated collection of searched package descriptions in platform hub
ItemTypestringItemsarray of objectDescriptionstringIdstring
Minimum length 1.LatestVersionstringNamestring
ItemsPerPageintegerLastPageNumberintegerNumberOfPagesintegerTotalResultsinteger
Example Response
{
"ItemType": "string",
"Items": [
{
"Description": "string",
"Id": "string",
"LatestVersion": "string",
"Name": "string"
}
],
"ItemsPerPage": 0,
"LastPageNumber": 0,
"NumberOfPages": 0,
"TotalResults": 0
}List available package versions for the specified platform hub feed and package
GET /api
Path Parameters
idstring (required)
The id of the feed resource.
Query Parameters
filterstring
Version number text to filter by.includePreReleaseboolean
Flag to include pre-release versions, defaults to true.includeReleaseNotesboolean
Flag to include release notes, defaults to false.packageIdstring (required)
The id of the package.preReleaseTagstring
The semver tag regex pattern to filter by.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 20. Minimum0.versionRangestring
The range of versions to filter by.
Response
200 — Contains a paginated collection of package versions returned from a search
ItemTypestringItemsarray of objectFeedIdstringIdstring
Minimum length 1.PackageIdstring
Minimum length 1.Publishedstring
Formatdate-time.ReleaseNotesstringSizeBytesintegerTitlestringVersionstring
Minimum length 1.
ItemsPerPageintegerLastPageNumberintegerNumberOfPagesintegerTotalResultsinteger
Example Response
{
"ItemType": "string",
"Items": [
{
"FeedId": "string",
"Id": "string",
"PackageId": "string",
"Published": "2020-01-01T00:00:00.000Z",
"ReleaseNotes": "string",
"SizeBytes": 0,
"Title": "string",
"Version": "string"
}
],
"ItemsPerPage": 0,
"LastPageNumber": 0,
"NumberOfPages": 0,
"TotalResults": 0
}Get Platform Hub Git credentials
GET /api
Query Parameters
namestring
Filter by partial name match.skipinteger
Number of records to skip.takeinteger
Number of records to take.
Response
200 — Success
ItemTypestringItemsarray of objectDescriptionstringDetailsobjectIdstringNamestring
Minimum length 1.RepositoryRestrictionsobject
ItemsPerPageintegerLastPageNumberintegerNumberOfPagesintegerTotalResultsinteger
Example Response
{
"ItemType": "string",
"Items": [
{
"Description": "string",
"Details": {
"Type": "UsernamePassword"
},
"Id": "string",
"Name": "string",
"RepositoryRestrictions": {
"AllowedRepositories": [
"string"
],
"Enabled": true
}
}
],
"ItemsPerPage": 0,
"LastPageNumber": 0,
"NumberOfPages": 0,
"TotalResults": 0
}Create a new Platform Hub Git credential
POST /api
Request Body
DescriptionstringDetailsobject (required)Passwordsensitive value (required)Usernamestring (required)
Minimum length 1.
Namestring (required)
Minimum length 1.RepositoryRestrictionsobjectAllowedRepositoriesarray of stringEnabledboolean
Response
201 — Created
Idstring
Example Request
{
"Description": "string",
"Details": {
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Username": "string"
},
"Name": "string",
"RepositoryRestrictions": {
"AllowedRepositories": [
"string"
],
"Enabled": true
}
}Example Response
{
"Id": "string"
}Get Platform Hub Git credentials (V2)
GET /api
Query Parameters
namestring
Filter by partial name match.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — Success
ItemTypestringItemsarray of objectDescriptionstringDetailsobjectIdstringNamestring
Minimum length 1.RepositoryRestrictionsobject
ItemsPerPageintegerLastPageNumberintegerNumberOfPagesintegerTotalResultsinteger
Example Response
{
"ItemType": "string",
"Items": [
{
"Description": "string",
"Details": {
"Type": "UsernamePassword"
},
"Id": "string",
"Name": "string",
"RepositoryRestrictions": {
"AllowedRepositories": [
"string"
],
"Enabled": true
}
}
],
"ItemsPerPage": 0,
"LastPageNumber": 0,
"NumberOfPages": 0,
"TotalResults": 0
}Create a new Platform Hub Git credential
POST /api
Request Body
DescriptionstringDetailsobject (required)Typestring (required)
Minimum length 1.
Namestring (required)
Minimum length 1.RepositoryRestrictionsobjectAllowedRepositoriesarray of stringEnabledboolean
Response
201 — Created
Idstring
Example Request
{
"Description": "string",
"Details": {
"Type": "string"
},
"Name": "string",
"RepositoryRestrictions": {
"AllowedRepositories": [
"string"
],
"Enabled": true
}
}Example Response
{
"Id": "string"
}Get a specific Platform Hub Git credential
GET /api
Path Parameters
idstring (required)
Id of the Git credential to get.
Response
200 — The requested Platform Hub Git Credential
DescriptionstringDetailsobjectTypeenum
Allowed values:UsernamePassword,Anonymous,Library,GitHub,NotSpecified,SshKey.
IdstringNamestring
Minimum length 1.RepositoryRestrictionsobjectAllowedRepositoriesarray of stringEnabledboolean
Example Response
{
"Description": "string",
"Details": {
"Type": "UsernamePassword"
},
"Id": "string",
"Name": "string",
"RepositoryRestrictions": {
"AllowedRepositories": [
"string"
],
"Enabled": true
}
}Modify an existing Platform Hub Git credential
PUT /api
Path Parameters
idstring (required)
Request Body
DescriptionstringDetailsobject (required)Passwordsensitive value (required)Usernamestring (required)
Minimum length 1.
Idstring (required)Namestring (required)
Minimum length 1.RepositoryRestrictionsobjectAllowedRepositoriesarray of stringEnabledboolean
Response
200 — Indicates that the Platform Hub Git Credential was successfully modified.
Example Request
{
"Description": "string",
"Details": {
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Username": "string"
},
"Id": "string",
"Name": "string",
"RepositoryRestrictions": {
"AllowedRepositories": [
"string"
],
"Enabled": true
}
}Example Response
{}Delete an existing Platform Hub Git credential
DELETE /api
Path Parameters
idstring (required)
Id of the Git credential to delete.
Response
200 — Confirmation that the Platform Hub Git Credential has been deleted
Example Response
{}Get a specific Platform Hub Git credential (V2)
GET /api
Path Parameters
idstring (required)
Id of the Git credential to get.
Response
200 — A Platform Hub Git credential (V2)
DescriptionstringDetailsobjectTypeenum
Allowed values:UsernamePassword,Anonymous,Library,GitHub,NotSpecified,SshKey.
IdstringNamestring
Minimum length 1.RepositoryRestrictionsobjectAllowedRepositoriesarray of stringEnabledboolean
Example Response
{
"Description": "string",
"Details": {
"Type": "UsernamePassword"
},
"Id": "string",
"Name": "string",
"RepositoryRestrictions": {
"AllowedRepositories": [
"string"
],
"Enabled": true
}
}Modify an existing Platform Hub Git credential
PUT /api
Path Parameters
idstring (required)
Request Body
DescriptionstringDetailsobject (required)Typestring (required)
Minimum length 1.
Idstring (required)Namestring (required)
Minimum length 1.RepositoryRestrictionsobjectAllowedRepositoriesarray of stringEnabledboolean
Response
200 — Indicates that the Platform Hub Git Credential was successfully modified.
Example Request
{
"Description": "string",
"Details": {
"Type": "string"
},
"Id": "string",
"Name": "string",
"RepositoryRestrictions": {
"AllowedRepositories": [
"string"
],
"Enabled": true
}
}Example Response
{}Request the list of Branches for the Platform Hub
GET /api
Query Parameters
searchByNamestring
A partial or complete name to search on. This will perform a “contains” style match against the supplied name or name-fragment.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — Success
ItemTypestringItemsarray of objectCanonicalNamestring
Minimum length 1.Idstring
Gets or sets a unique identifier for this resource.IsProtectedbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Minimum length 1.
ItemsPerPageintegerLastPageNumberintegerNumberOfPagesintegerTotalResultsinteger
Example Response
{
"ItemType": "string",
"Items": [
{
"CanonicalName": "string",
"Id": "string",
"IsProtected": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string"
}
],
"ItemsPerPage": 0,
"LastPageNumber": 0,
"NumberOfPages": 0,
"TotalResults": 0
}Create a branch given the base git ref, and the new branch’s name
POST /api
Request Body
BaseGitRefstring (required)NewBranchNamestring (required)
Minimum length 1.
Response
201 — Created
CanonicalNamestring
Minimum length 1.Idstring
Gets or sets a unique identifier for this resource.IsProtectedbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Minimum length 1.
Example Request
{
"BaseGitRef": "string",
"NewBranchName": "string"
}Example Response
{
"CanonicalName": "string",
"Id": "string",
"IsProtected": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string"
}Request a list of Git Tags for the Platform Hub
GET /api
Query Parameters
searchByNamestring
A partial or complete name to search on. This will perform a “contains” style match against the supplied name or name-fragment.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — Success
ItemTypestringItemsarray of objectCanonicalNamestring
Minimum length 1.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Minimum length 1.
ItemsPerPageintegerLastPageNumberintegerNumberOfPagesintegerTotalResultsinteger
Example Response
{
"ItemType": "string",
"Items": [
{
"CanonicalName": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string"
}
],
"ItemsPerPage": 0,
"LastPageNumber": 0,
"NumberOfPages": 0,
"TotalResults": 0
}Get GitHub App connections for the Platform Hub
GET /api
Gets a set of GitHub App connections for the Platform Hub.
Query Parameters
skipinteger (required)
Number of items to skip. Defaults to zero. Minimum0.takeinteger (required)
Number of items to take. Defaults to 30. Minimum0.
Response
200 — All GitHub App connections for Platform Hub
Connectionsarray of objectIdstringInstallationobjectStatusenum
Allowed values:ConnectionNotFound,InstallationNotFound,InstallationSuspended,Connected,Error.
ItemsPerPageintegerNumberOfPagesintegerTotalResultsinteger
Example Response
{
"Connections": [
{
"Id": "string",
"Installation": {
"AccountAvatarUrl": "string",
"AccountId": "string",
"AccountLogin": "string",
"AccountType": "string",
"AllRepositories": true,
"InstallationId": "string"
},
"Status": "ConnectionNotFound"
}
],
"ItemsPerPage": 0,
"NumberOfPages": 0,
"TotalResults": 0
}Create a new GitHub App connection in Platform Hub
POST /api
Request Body
InstallationIdstring (required)
Minimum length 1.RepositoryIdsarray of string (required)
Response
201 — Created
Example Request
{
"InstallationId": "string",
"RepositoryIds": [
"string"
]
}Example Response
"string"Get a single PlatformHub GitHub app connection by id
GET /api
Path Parameters
idstring (required)
Response
200 — A PlatformHub GitHub app connection
IdstringInstallationobjectAccountAvatarUrlstringAccountIdstringAccountLoginstringAccountTypestringAllRepositoriesboolean
true if the installation has access to all repositories in the account, false if it has access to only selected repositories.InstallationIdstring
Repositoriesarray of objectDefaultBranchstringGitUrlstringIsAdminbooleanIsPrivatebooleanLanguagestringRepositoryIdstringRepositoryNamestringVisibilitystring
Statusstring
Minimum length 1.StatusUserMessagestringUnknownRepositoriesarray of object
Repositories IDs that are configured on the connection but do not have a matching repository returned from GitHub.RepositoryIdstringRepositoryNamestring
Example Response
{
"Id": "string",
"Installation": {
"AccountAvatarUrl": "string",
"AccountId": "string",
"AccountLogin": "string",
"AccountType": "string",
"AllRepositories": true,
"InstallationId": "string"
},
"Repositories": [
{
"DefaultBranch": "string",
"GitUrl": "string",
"IsAdmin": true,
"IsPrivate": true,
"Language": "string",
"RepositoryId": "string",
"RepositoryName": "string",
"Visibility": "string"
}
],
"Status": "string",
"StatusUserMessage": "string",
"UnknownRepositories": [
{
"RepositoryId": "string",
"RepositoryName": "string"
}
]
}Update a Platform Hub GitHub App connection with a new set of repositories
PUT /api
Path Parameters
idstring (required)
Request Body
Idstring (required)RepositoryIdsarray of string (required)
Response
200 — Platform Hub GitHub app connection modified result
Example Request
{
"Id": "string",
"RepositoryIds": [
"string"
]
}Example Response
{}Delete a PlatformHub GitHub App connection by id
DELETE /api
Path Parameters
idstring (required)
Id of the GitHub connection to delete.
Response
200 — Confirmation that the PlatformHub GitHub App connection has been deleted
Example Response
{}Recover a platfrom hub GitHub App connection after the registration has changed
POST /api
Path Parameters
idstring (required)
Request Body
Idstring (required)RepositoryIdsarray of string (required)
Response
200 — Platform Hub GitHub app connection recovery result
Example Request
{
"Id": "string",
"RepositoryIds": [
"string"
]
}Example Response
{}Refresh the Platform Hub GitHub App connection token
POST /api
Path Parameters
idstring (required)
Response
200 — Platform Hub GitHub app connection has been refreshed
Example Response
{}Get a list of GitHub organisations accessible to the current GitHub OAuth user. Request will fail if the user does not have a valid GitHub OAuth token
GET /api
Query Parameters
excludeConnectedboolean
Response
200 — List of GitHub organisations accessible to the current GitHub OAuth user
Installationsarray of objectAccountAvatarUrlstringAccountIdstringAccountLoginstringAccountTypestringAllRepositoriesboolean
true if the installation has access to all repositories in the account, false if it has access to only selected repositories.InstallationIdstring
Example Response
{
"Installations": [
{
"AccountAvatarUrl": "string",
"AccountId": "string",
"AccountLogin": "string",
"AccountType": "string",
"AllRepositories": true,
"InstallationId": "string"
}
]
}Get platform hub version control settings configuration
GET /api
Response
200 — The version control settings for the Platform Hub
BasePathstringCredentialsobjectTypeenum
Allowed values:Anonymous,UsernamePassword,Reference,GitHub,SshKey.
DefaultBranchstringUrlstring
Example Response
{
"BasePath": "string",
"Credentials": {
"Type": "Anonymous"
},
"DefaultBranch": "string",
"Url": "string"
}Update the platform hub’s existing version control settings configuration
PUT /api
Request Body
BasePathstring (required)Credentialsobject (required)Typeenum
Allowed values:Anonymous,UsernamePassword,Reference,GitHub,SshKey.
DefaultBranchstring (required)Urlstring (required)
Minimum length 1.
Response
200 — The version control settings for the Platform Hub
BasePathstringCredentialsobjectTypeenum
Allowed values:Anonymous,UsernamePassword,Reference,GitHub,SshKey.
DefaultBranchstringUrlstring
Example Request
{
"BasePath": "string",
"Credentials": {
"Type": "Anonymous"
},
"DefaultBranch": "string",
"Url": "string"
}Example Response
{
"BasePath": "string",
"Credentials": {
"Type": "Anonymous"
},
"DefaultBranch": "string",
"Url": "string"
}Get a paginated list of process templates from the specified Git reference (sorted by name)
GET /api
Path Parameters
gitRefstring (required)
Query Parameters
skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — A paginated list of process templates (sorted by name).
ItemsPerPageintegerProcessTemplatesarray of objectDescriptionstringGitRefstringIconobjectIdstringNamestringParametersarray of objectSlugstringStepsarray of object
TotalResultsinteger
Example Response
{
"ItemsPerPage": 0,
"ProcessTemplates": [
{
"Description": "string",
"GitRef": "string",
"Icon": {
"Color": "string",
"Id": "string"
},
"Id": "string",
"Name": "string",
"Parameters": [
{}
],
"Slug": "string",
"Steps": [
{}
]
}
],
"TotalResults": 0
}